docs

List refunds

Lists refunds with optional filters for charge and pagination.

GET
/refunds

Lists refunds with optional filters for charge and pagination.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Query Parameters

chargeId?string

Filter by charge ID

limit?number

Number of results (max 100)

Rangevalue <= 100
offset?number

Pagination offset

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/refunds"
[  {    "id": "string",    "object": "refund",    "amount": 0,    "chargeId": "string",    "paymentIntentId": "string",    "balanceTransactionId": "string",    "failureBalanceTransactionId": "string",    "externalRefundId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "currency": "EGP",    "presentmentDetails": {      "amount": 0,      "currency": "EGP",      "exchangeRate": 0,      "exchangeRateId": "string"    },    "status": "PENDING",    "reason": "DUPLICATE",    "failureReason": "lost_or_stolen_card",    "failureCode": "string",    "failureMessage": "string",    "pendingReason": "processing",    "description": "string",    "destinationDetails": {      "type": "card",      "card": {},      "wallet": {},      "bankTransfer": {},      "kiosk": {}    },    "nextAction": {      "type": "display_details",      "displayDetails": {}    },    "instructionsEmail": "string",    "receiptNumber": "string",    "feeAmount": 0  }]